Bug 1388207 - [RFE] rct cat-manifest command should show derived products
Summary: [RFE] rct cat-manifest command should show derived products
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 1395274
TreeView+ depends on / blocked
 
Reported: 2016-10-24 18:16 UTC by Rich Jerrido
Modified: 2017-08-01 19:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 19:20:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1518 None None None 2016-12-15 16:13:09 UTC
Red Hat Product Errata RHBA-2017:2083 normal SHIPPED_LIVE python-rhsm and subscription-manager bug fix and enhancement update 2017-08-01 18:14:19 UTC

Description Rich Jerrido 2016-10-24 18:16:17 UTC
Description of problem:

As a user of rct, the output from the 'rct cat-manifest' command does not necessarily show all of the provided product information needed for me to determine which content is provided to my systems. 

In the event of a subscription such as a Virtual Datacenter subscription, the content provided to the hypervisors differs from that which is provided to the guests. However, rct does not show this. 

As a user, this would lead me to believe that the subscriptions does NOT provide content, when in fact it does, but only to the guests. 

Example output below: 

$ rct cat-manifest My_Manifest.zip
+-------------------------------------------+
        Manifest
+-------------------------------------------+

General:
        Server:
        Server Version: 0.9.51.15-1
        Date Created: 2016-05-05T18:35:13.818+0000
        Creator: candlepin_admin

Consumer:
        Name: My_Manifest
        UUID: 57641572-27c9-4e98-8713-e6fed967a042
        Type: satellite
Subscription:
        Name: Red Hat Enterprise Linux for Virtual Datacenters, Premium
        Quantity: 50
        Created: 2015-08-06T16:51:40.000+0000
        Start Date: 2015-08-05T04:00:00.000+0000
        End Date: 2016-08-05T03:59:59.000+0000
        Service Level: Premium
        Service Type: L1-L3
        Architectures:
        SKU: RH00001
        Contract: [REDACTED]
        Order: [REDACTED]
        Account: [REDACTED]
        Virt Limit: unlimited
        Requires Virt-who: True
        Entitlement File: export/entitlements/8a99f9864efa4a57014f03ece4cf40ee.json
        Certificate File: export/entitlement_certificates/8194328514515623350.pem
        Certificate Version: 3.2
        Provided Products:

Subscription:
        Name: Red Hat Enterprise Linux Server, Premium (Physical or Virtual Nodes)
        Quantity: 100
        Created: 2015-08-06T16:49:55.000+0000
        Start Date: 2015-08-05T04:00:00.000+0000
        End Date: 2016-08-05T03:59:59.000+0000
        Service Level: Premium
        Service Type: L1-L3
        Architectures: x86_64,ppc64le,ppc64,ia64,ppc,s390,x86,s390x
        SKU: RH00003
        Contract: [REDACTED]
        Order: [REDACTED]
        Account: [REDACTED]
        Virt Limit:
        Requires Virt-who: False
        Entitlement File: export/entitlements/8a99f9894efa4f28014f03eb49ea5a86.json
        Certificate File: export/entitlement_certificates/2073596929533310794.pem
        Certificate Version: 3.2
        Provided Products:
                69: Red Hat Enterprise Linux Server
                70: Red Hat Enterprise Linux Server - Extended Update Support
                84: Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
              86: Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
              91: Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
              93: Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
              127: Red Hat S-JIS Support (for RHEL Server) - Extended Update Support
              133: Red Hat Enterprise Linux High Performance Networking (for RHEL Server) - Extended Update Support
              176: Red Hat Developer Toolset (for RHEL Server)
              180: Red Hat Beta
              182: Red Hat EUCJP Support (for RHEL Server) - Extended Update Support
              201: Red Hat Software Collections (for RHEL Server)
              205: Red Hat Software Collections Beta (for RHEL Server)
              240: Oracle Java (for RHEL Server)
              246: Oracle Java (for RHEL Server) - Extended Update Support
              271: Red Hat Enterprise Linux Atomic Host
              272: Red Hat Enterprise Linux Atomic Host Beta
              273: Red Hat Container Images
              274: Red Hat Container Images Beta


Version-Release number of selected component (if applicable):
subscription-manager-1.15.9-15.el7.x86_64


Additional info:

Comment 5 errata-xmlrpc 2017-08-01 19:20:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2083


Note You need to log in before you can comment on or make changes to this bug.